The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

S/MIME & Horde

Discussion in 'General Discussion' started by mpattman, Jul 31, 2005.

  1. mpattman

    mpattman Registered

    Joined:
    Oct 21, 2003
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    I was wondering if anyone had got S/MIME support working in Horde/IMP ?

    From what I can see Horde uses the cPanel version of PHP and not the one that all of the accounts use. When I look at http://domain.com:2095/horde/imp/test.php it says:
    "The openssl module is required to use S/MIME in IMP. Compile PHP with --with-openssl to activate"

    Can someone point me in the right direction for resolving this and does anyone know if this will be overwritten by any cPanel updates ?
     
  2. Leandro

    Leandro Well-Known Member

    Joined:
    Sep 23, 2003
    Messages:
    48
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Argentin
    cPanel Access Level:
    DataCenter Provider
    Hello, the phpinfo(); function for the server show me php version 4.3.10 and the phpinfo(); from http://server.com:2095/horde/imp/test.php show me php version 4.3.11 is it posible ?

    I need to install the open SSL support for the 3rdparty, because I need to use S/MIME to read emails certificateds from webmails...

    thanks in advance !
     
  3. Leandro

    Leandro Well-Known Member

    Joined:
    Sep 23, 2003
    Messages:
    48
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Argentin
    cPanel Access Level:
    DataCenter Provider
    Solved !

    The solution is to replace the php file located in /usr/local/cpanel/3rdparty/bin/ with the php file in /usr/bin

    mv /usr/local/cpanel/3rdparty/bin/php /usr/local/cpanel/3rdparty/bin/php.bk
    cp /usr/bin/php /usr/local/cpanel/3rdparty/bin/php

    so, you're going to have both version eq

    after the copy must to configure some files related with the horde, like hordelogsfile, but nothing difficult.
     
Loading...

Share This Page